.container {
    min-height: 80vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.inner {
    position: relative;
    width: 100%;
    max-width: 600px;
    padding: 20px 40px 100px 40px;
    background: #fff;
    border-radius: 40px;
    overflow: hidden;
}

.input__container {
    margin-bottom: 20px;
}

.avatar__container {
    margin-bottom: 20px;
    display: flex;
    align-items: center;
}

.avatar {
    margin: 0 auto;
    width: 70px;
    height: 70px;
    cursor: pointer;
    border-radius: 50%;
    object-fit: cover;
}

.hidden {
    display: none;
}

.save__profile__btn {
    background-color: #1F2C4F;
    border: none;
    border-radius: 0 0 40px 40px;
    padding: 10px 20px;
    color: white;
    position: absolute;
    z-index: 10;
    bottom: 0;
    width: 100%;
    height: 70px;
    left: 0;
    font-size: 1.5rem;
    text-transform: uppercase;
    font-weight: bold;
    letter-spacing: 1.5px;
    cursor: pointer;
}

.save__profile__btn:hover .profile__btn__overlay {
    bottom: 0;
}

.profile__btn__overlay {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    bottom: -100%;
    left: 0;
    z-index: 20;
    background-color: #51608a;
    transition: 0.2s ease;
    display: flex;
    align-items: center;
    justify-content: center;
}

.save__profile__btn:hover .profile__btn__overlay {
    bottom: 0;
}

.profile__btn__overlay__icon {
    fill: white;
    width: 1.5rem;
    position: relative;
    animation: move 2s infinite alternate linear;
    /* transform: rotateZ(10deg); */
}

.logout__button {
    position: absolute;
    top: 30px;
    right: 30px;
    /*height: 40px;*/
    /*width: 40px;*/
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 9px;
}

.logout__button__icon {
    font-size: 20px;
    margin: 0 auto;
}

@keyframes move {
    0% {
        left: -2.5px;
        top: -2px;
        transform: rotateZ(0deg);
    }

    25% {
        left: 2.5px;
        top: 0;
        transform: rotateZ(10deg);
    }

    50% {
        left: -2.5px;
        top: 0;
        transform: rotateZ(0deg);
    }

    75% {
        left: 0;
        top: 2px;
        transform: rotateZ(10deg);
    }

    100% {
        left: 2.5px;
        top: 0;

        transform: rotateZ(0deg);
    }
}
